### Hierarchy

- Node
  - Document
  - Element

## Index

### Constructors

- constructor

### Accessors

- children

### Methods

- _withParent
- appendChild
- querySelector
- querySelectorAll

## Constructors

### constructor

- new Node(dom: any): Node

- - Defined in document.ts:23

  #### Parameters

  - ##### dom: any

  #### Returns Node

## Accessors

### children

- get children(): any
- set children(children: any): void

- - Defined in document.ts:50

  #### Returns any

- - Defined in document.ts:46

  #### Parameters

  - ##### children: any

  #### Returns void

## Methods

### _withParent

- _withParent(node: any): any

- - Defined in document.ts:41

  #### Parameters

  - ##### node: any

  #### Returns any

### appendChild

- appendChild(html: any): any

- - Defined in document.ts:54

  #### Parameters

  - ##### html: any

  #### Returns any

### querySelector

- querySelector(selector: any): Element

- - Defined in document.ts:29

  #### Parameters

  - ##### selector: any

  #### Returns Element

### querySelectorAll

- querySelectorAll(selector: any): any

- - Defined in document.ts:36

  #### Parameters

  - ##### selector: any

  #### Returns any

Generated using TypeDoc